<html>
<script src="../js/angular.js"></script>

<body>
    <div ng-app="myApp" ng-controller="myCtrl">
        <p>{{ x1 }}</p>
        <p>{{ x2 }}</p>
    </div>
    <script>
        var app = angular.module('myApp', []);
        app.controller('myCtrl', function ($scope) {
            $scope.x1 = "java developer";
            $scope.x2 = angular.$$uppercase($scope.x1);
        });
    </script>
</body>

</html>